Analytics
This endpoint lists all available metric IDs that can be used to fetch data in Get Metric Data
ApiKeyAuthAuthorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
The catalogue of metrics
application/json- response
data?array<>meta?curl -X GET 'https://dev.dixa.io/v1/analytics/metrics' \ -H 'Authorization: <API token>'Get data of a specific metric (aggregated)
ApiKeyAuthAuthorization<token>The available request filters and aggregations for fetching the metric data
application/json- body
id*stringcsidFilter?array<>1 <= itemsfilters?array<>aggregations?array<>timezone*stringThe metric data
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/analytics/metrics' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "id": "closed_conversations", "periodFilter": { "value": { "_type": "PreviousWeek" }, "_type": "Preset" }, "filters": [ { "attribute": "channel", "values": [ "email" ] } ], "aggregations": [ "Count" ], "timezone": "Europe/Copenhagen"}'This endpoint lists all available properties of a metric to use for querying its data
ApiKeyAuthAuthorization<token>metricId*stringThe metric properties
application/json- response
data*curl -X GET 'https://dev.dixa.io/v1/analytics/metrics/{metricId}' \ -H 'Authorization: <API token>'Get possible values to be used with a given filter attribute. Filter attributes are not metric or record specific, so one filter attribute can be used with multiple metrics/records. When a filter value is not relevant for a specific metric/record, it is simply ignored.
ApiKeyAuthAuthorization<token>filterAttribute*stringpageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
The possible filter values to be used when fetching metrics or records
application/json- response
data?array<>meta?curl -X GET 'https://dev.dixa.io/v1/analytics/filter/{filterAttribute}' \ -H 'Authorization: <API token>'This endpoint lists all available record IDs that can be used to fetch data in Get Metric Records Data
ApiKeyAuthAuthorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
The catalogue of metric records
application/json- response
data?array<>meta?curl -X GET 'https://dev.dixa.io/v1/analytics/records' \ -H 'Authorization: <API token>'Get data of specific metric records (unaggregated)
ApiKeyAuthAuthorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
The available request filters for fetching the metric records data
application/json- body
id*stringcsidFilter?array<>1 <= itemsfilters?array<>timezone*stringThe metric records data
application/json- response
data?array<>meta?curl -X POST 'https://dev.dixa.io/v1/analytics/records' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "id": "closed_conversations", "periodFilter": { "value": { "_type": "PreviousWeek" }, "_type": "Preset" }, "filters": [ { "attribute": "initial_direction", "values": [ "INBOUND" ] } ], "timezone": "Europe/Copenhagen"}'This endpoint lists all available properties of a record to use for querying its data
ApiKeyAuthAuthorization<token>recordId*stringThe metric record properties
application/json- response
data*curl -X GET 'https://dev.dixa.io/v1/analytics/records/{recordId}' \ -H 'Authorization: <API token>'